local L =  AceLibrary("AceLocale-2.2"):new("MoBuffs")

-- begin adding localization support
L:RegisterTranslations("koKR", function() return {
-- misc. text
	["MoBuffs"] = "MoBuffs",
	["missing"] = "missing",
	["active"] = "사용",
	["Party"] = "파티",
	["Raid"] = "공격대",
-- talent tree names -- move this to Babble-SpellTree-2.2
	["Marksmanship"] = "사격",
	["Discipline"] = "수양",
-- battle and guardian buffs
-- these check the buff descriptions on the buff icon for the line about "counts as both Battle and Guardian Elixir", etc.
	["Battle and Guardian Elixir"] = "전투 비약 및 강화 비약",      -- regex for battle and guardian elixir
	["Battle Elixir"] = "전투 비약",                   -- regex for battle elixir
	["Guardian Elixir"] = "강화 비약",                 -- regex for guardian elixir
-- food buffs
	["Well Fed"] = "포만감",                        -- Most Foods
	["\"Well Fed\""] = "\"포만감\"",                    -- Filled Yellow Brewfest Stein
	["Increased Stamina"] = "체력 향상",               -- Dirge"s Kickin" Chimaerok Chops
	["Electrified"] = "전기파",                     -- Stormchops
	["Rumsey Rum Black Label"] = "럼지 럼주 블랙 라벨",          -- Rumsey Rum Black Label
	["Enlightened"] = "깨달음",                     -- Skullfish Soup
-- flask buffs
	["^Unstable Flask of the "] = "불안정한 ",         -- regex for BE Flasks (only in BE or Gruuls)
	["^Shattrath Flask of "] = "샤트라의 ",            -- regex for Shattrath Flasks
	["^Flask of "] = "^영약",                      -- regex for most other Flasks
	["Chromatic Resistance"] = "마력 저항",            -- Flask of Chromatic Resistance
	["Chromatic Wonder"] = "오색 신비의 영약",                -- Flask of Chromatic Wonder
	["Distilled Wisdom"] = "순수한 지혜",                -- Flask of Distilled Wisdom
	["Supreme Power"] = "강력한 마력",                   -- Flask of Supreme Power
	["Relentless Assault of Shattrath"] = "샤트라스의 가혹한 공격", -- Shattrath Flask of Relentless Assault
	["Fortification of Shattrath"] = "샤트라스의 증강",      -- Shattrath Flask of Fortification
	["Mighty Restoration of Shattrath"] = "샤트라스의 강력한 마나 회복", -- Shattrath Flask of Mighty Restoration
	["Supreme Power of Shattrath"] = "샤트라스의 강력한 마력",      -- Shattrath Flask of Supreme Power
-- temporary weapon/shield buffs
-- these check the buff descriptions on the weapon tooltip.
	["^([%a]+ Ward of Shielding)"] = "^([%a]+ 수호의 보호막)",      -- regex for (Lesser|Greater) Ward of Shielding
	["^(Weighted %(%+%d+ [^%)]+%))"] = "^(Weighted %(%+%d+ [^%)]+%))",    -- regex for Sharpened (+\d+ Damage) -- Sharpening Stones
	["^(Sharpened %(%+%d+ [^%)]+%))"] = "^(날카로운 %(%+%d+ [^%)]+%))",   -- regex for Weighted (+\d+ Damage) -- Weightstones
	["^([%a-]+ Poison ?[IVX]*)"] = "^([%a-]+ 독 ?[IVX]*)",        -- regex for (Anesthtic|Deadly|Crippling|Wound|Instant|Mind-numbing) Poison (I|II|III|IV|V|VI|VII)
	["^([%a]+ Mana Oil)"] = "^([%a]+ 마나 오일)",               -- regex for (Minor|Superior|Brillant|Blessed) Mana Oil
	["^([%a]+ Wizard Oil)"] = "^([%a]+ 마술사 오일)",             -- regex for (Minor|Superior|Brillant|Blessed) Wizard Oil
	["^(Wizard Oil)"] = "^(마술사 오일)",                   -- regex for Wizard Oil
	["^(Frost Oil)"] = "^(냉기 오일)",                    -- regex for Frost Oil
	["^(Shadow Oil)"] = "^(암흑 오일)",                   -- regex for Shadow Oil
-- buff indicators
	["Zone"] = "지역",       -- not in same zone
	["Battle"] = "전투",     -- battle elixir
	["Guardian"] = "강화",   -- guardian elixir
	["Food"] = "음식",       -- food
	["WeapBuff"] = "무기버프",   -- weapon buff
	["Crusader"] = "성전사의 오라",   -- paladin crusader aura
	["ShadResist"] = "암흑 저항의 오라", -- paladin shadow resistance aura
	["Pet"] = "소환수",        -- hunter/lock pet
	["Aspect"] = "상",     -- hunter aspect
	["AoBeast"] = "야수의 상",    -- hunter aspect of the beast self buff
	["AoPack"] = "치타 무리의 상",     -- hunter aspect of the pack party buff
	["Armor"] = "방어",      -- mage/lock armor self buff
	["InnerFire"] = "내면의 열정",  -- priest inner fire self buff
	["ShadProt"] = "어둠의 보호",   -- priest shadow protection buff
	["Fort"] = "증강",       -- priest fortification buff
	["Wild"] = "야생",       -- druid mark/gift of the wild buff
	["Int"] = "지능",        -- mage intellect buff
	["Pvp"] = "Pvp",        -- pvp flagged
	["Trueshot"] = "정조준",   -- hunter trueshot aura
	["Spirit"] = "천상의 정신",     -- priest divine spirit buff
	["Blessings"] = "축복",  -- paladin blessing buff
	["Wis"] = "지혜의 축복",        -- paladin blessing of wisdom buff
	["Might"] = "힘의 축복",      -- paladin blessing of might buff
	["Salv"] = "구원의 축복",       -- paladin blessing of salvation buff
	["RFury"] = "정의의 격노",      -- paladin righteous fury self buff
	["Thorns"] = "가시",     -- druid thorns buff
	["Aura"] = "오라",       -- paladin aura
	["Soulstone"] = "영혼석",  -- warlock soulstone buff
} end)
